# mysqlpp::BadInsertPolicy Class Reference

Exception thrown when an insert policy is too strict to create a valid INSERT statement. More...

`#include <exceptions.h>`

Inheritance diagram for mysqlpp::BadInsertPolicy:

[legend]
Collaboration diagram for mysqlpp::BadInsertPolicy:

[legend]
List of all members.

## Public Member Functions

| BadInsertPolicy (const std::string &w)
| Create exception object.

## Detailed Description

Exception thrown when an insert policy is too strict to create a valid INSERT statement.

Thrown by Query::insertfrom() if it is unable to add VALUES to an empty query. This means the size threshold or max packet size of the policy is set too small.

The documentation for this class was generated from the following file:

- exceptions.h